import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import PropTypes from 'prop-types';
/**
 * Component treated as an anchor when href is defined
 */

var ActionableTagContainer = function ActionableTagContainer(_ref) {
  var Link = _ref.Link,
      href = _ref.href,
      target = _ref.target,
      children = _ref.children,
      props = _objectWithoutPropertiesLoose(_ref, ["Link", "href", "target", "children"]);

  return href ? React.createElement(Link, Object.assign({
    href: href,
    target: target
  }, props), children) : React.createElement("span", props, children);
};

export default ActionableTagContainer;