import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';
import ActionableTagContainer from './Container';
var RIGHT_ICON_PLACEMENT = 'right';
var LEFT_ICON_PLACEMENT = 'left';

var getClassNames = function getClassNames(_ref) {
  var className = _ref.className;
  return cx('sui-AtomTag-actionable', className);
};

var ActionableTag = function ActionableTag(_ref2) {
  var icon = _ref2.icon,
      href = _ref2.href,
      iconPlacement = _ref2.iconPlacement,
      label = _ref2.label,
      _onClick = _ref2.onClick,
      target = _ref2.target,
      linkFactory = _ref2.linkFactory,
      className = _ref2.className;
  return React.createElement(ActionableTagContainer, {
    className: getClassNames({
      className: className
    }),
    Link: linkFactory,
    onClick: function onClick(ev) {
      return _onClick(ev);
    },
    href: href,
    target: target
  }, icon && iconPlacement === LEFT_ICON_PLACEMENT && React.createElement("span", {
    className: "sui-AtomTag-icon"
  }, icon), React.createElement("span", {
    className: "sui-AtomTag-label",
    title: label
  }, label), icon && iconPlacement === RIGHT_ICON_PLACEMENT && React.createElement("span", {
    className: "sui-AtomTag-secondary-icon"
  }, icon));
};

ActionableTag.defaultProps = {
  // eslint-disable-next-line react/prop-types
  linkFactory: function linkFactory(_temp) {
    var _ref3 = _temp === void 0 ? {} : _temp,
        href = _ref3.href,
        target = _ref3.target,
        className = _ref3.className,
        children = _ref3.children;

    return React.createElement("a", {
      href: href,
      target: target,
      className: className
    }, children);
  }
};
export default ActionableTag;