import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';

var StandardTag = function StandardTag(_ref) {
  var className = _ref.className,
      closeIcon = _ref.closeIcon,
      icon = _ref.icon,
      label = _ref.label,
      onClose = _ref.onClose;
  var classNames = cx(className, closeIcon && 'sui-AtomTag-hasClose');

  var handleClick = function handleClick(ev) {
    onClose(ev);
    ev.stopPropagation();
  };

  return React.createElement("span", {
    className: classNames
  }, icon && React.createElement("span", {
    className: "sui-AtomTag-icon"
  }, icon), React.createElement("span", {
    className: "sui-AtomTag-label",
    title: label
  }, label), closeIcon && React.createElement("span", {
    className: "sui-AtomTag-closeable",
    onClick: handleClick
  }, React.createElement("span", {
    className: "sui-AtomTag-closeableIcon sui-AtomTag-secondary-icon"
  }, closeIcon)));
};

export default StandardTag;